<template>
<section class="SiteHeader section">
    <div>
        <a href="./" aria-current>Home</a>
        <a href="#about">About Us</a>
        <a href="#services">Services</a>
        <a href="#locations">Locations</a>
        <a href="#contacts" @click.prevent="$emit('clickShowContact')">Contact Us</a>
    </div>
</section>
</template>

<style lang="less">
@import '@/assets/css/vars';
.SiteHeader {
    margin-top: 4rem;
    & > div {
        display: flex;
        justify-content: flex-end;
        font-size: 1.4375rem;
        gap: 2.25rem;
        & > a {
            cursor: pointer;
            text-decoration: none;
            padding: .25rem .5rem;
            color: black;
            &:active,
            &:hover {color: @color-darkblue}
            &[aria-current] {
                pointer-events: none;
                color: @color-darkblue;
            }
        }
    }
}
</style>